<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Serialized Form (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;towerwarspp.io</h2>
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.io.GraphicIO">
<!--   -->
</a>
<h3>Class <a href="towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io">towerwarspp.io.GraphicIO</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>viewer</h4>
<pre><a href="towerwarspp/preset/Viewer.html" title="interface in towerwarspp.preset">Viewer</a> viewer</pre>
<div class="block">Viewer-Object</div>
</li>
<li class="blockList">
<h4>hexagonGrid</h4>
<pre><a href="towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io">HexagonGrid</a> hexagonGrid</pre>
<div class="block">HexagonGrid-Object</div>
</li>
<li class="blockList">
<h4>polygon</h4>
<pre>java.awt.Polygon[][] polygon</pre>
<div class="block">Polygon-Object</div>
</li>
<li class="blockList">
<h4>markedPolygon</h4>
<pre>java.awt.Polygon[][] markedPolygon</pre>
<div class="block">Polygon-Object for the marks of which player has turn.</div>
</li>
<li class="blockList">
<h4>jFrame</h4>
<pre>javax.swing.JFrame jFrame</pre>
<div class="block">JFrame-Object</div>
</li>
<li class="blockList">
<h4>jPanel</h4>
<pre>javax.swing.JPanel jPanel</pre>
<div class="block">JPanel-Object</div>
</li>
<li class="blockList">
<h4>polySize</h4>
<pre>int polySize</pre>
<div class="block">Polygon Size</div>
</li>
<li class="blockList">
<h4>possibleMoves</h4>
<pre>java.util.Vector&lt;E&gt; possibleMoves</pre>
<div class="block">MoveList-Object of possible Moves</div>
</li>
<li class="blockList">
<h4>deliverMove</h4>
<pre><a href="towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a> deliverMove</pre>
<div class="block">Move-Object which is used for deliver()</div>
</li>
<li class="blockList">
<h4>buttonPanel</h4>
<pre>javax.swing.JPanel buttonPanel</pre>
<div class="block">JPanel-Object for right Buttons</div>
</li>
<li class="blockList">
<h4>debugLine</h4>
<pre>javax.swing.JTextField debugLine</pre>
<div class="block">Textarea for output of turn, player</div>
</li>
<li class="blockList">
<h4>resultArea</h4>
<pre>javax.swing.JTextArea resultArea</pre>
<div class="block">TextArea in ResultDialog</div>
</li>
<li class="blockList">
<h4>resultDialog</h4>
<pre>javax.swing.JDialog resultDialog</pre>
<div class="block">The ResultDialog on which is shown the result of the tournament or the game.</div>
</li>
<li class="blockList">
<h4>clicked</h4>
<pre>boolean clicked</pre>
<div class="block">Boolean if is clicked on a token</div>
</li>
<li class="blockList">
<h4>saveDialog</h4>
<pre>javax.swing.JDialog saveDialog</pre>
<div class="block">The SaveDialog which names the savefile</div>
</li>
<li class="blockList">
<h4>save</h4>
<pre>boolean save</pre>
<div class="block">Boolean if the saveButton is clicked</div>
</li>
<li class="blockList">
<h4>saveGameName</h4>
<pre>java.lang.String saveGameName</pre>
<div class="block">The name of the savefile</div>
</li>
<li class="blockListLast">
<h4>debugInstance</h4>
<pre><a href="towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> debugInstance</pre>
<div class="block">Debug Instance of <a href="towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;towerwarspp.main.game</h2>
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.main.game.LoadParserException">
<!--   -->
</a>
<h3>Class <a href="towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game">towerwarspp.main.game.LoadParserException</a> extends java.io.IOException implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;towerwarspp.player</h2>
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.player.NetPlayer">
<!--   -->
</a>
<h3>Class <a href="towerwarspp/player/NetPlayer.html" title="class in towerwarspp.player">towerwarspp.player.NetPlayer</a> extends java.rmi.server.UnicastRemoteObject implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>player</h4>
<pre><a href="towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a> player</pre>
<div class="block"><a href="towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> instance to which this NetPlayer is connected. All method calls on this NetPlayer will invoke the
 corresponding calls on this Player instance. E.g. if <a href="towerwarspp/player/NetPlayer.html#request--"><code>NetPlayer.request()</code></a> is called on a NetPlayer, the netPlayer will
 call <a href="towerwarspp/preset/Player.html#request--"><code>Player.request()</code></a>.</div>
</li>
<li class="blockList">
<h4>view</h4>
<pre><a href="towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a> view</pre>
</li>
<li class="blockListLast">
<h4>hasView</h4>
<pre>boolean hasView</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;towerwarspp.preset</h2>
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.preset.ArgumentParserException">
<!--   -->
</a>
<h3>Class <a href="towerwarspp/preset/ArgumentParserException.html" title="class in towerwarspp.preset">towerwarspp.preset.ArgumentParserException</a> extends java.lang.Exception implements Serializable</h3>
</li>
<li class="blockList"><a name="towerwarspp.preset.Move">
<!--   -->
</a>
<h3>Class <a href="towerwarspp/preset/Move.html" title="class in towerwarspp.preset">towerwarspp.preset.Move</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre><a href="towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a> start</pre>
</li>
<li class="blockListLast">
<h4>end</h4>
<pre><a href="towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a> end</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="towerwarspp.preset.MoveFormatException">
<!--   -->
</a>
<h3>Class <a href="towerwarspp/preset/MoveFormatException.html" title="class in towerwarspp.preset">towerwarspp.preset.MoveFormatException</a> extends java.lang.IllegalArgumentException implements Serializable</h3>
</li>
<li class="blockList"><a name="towerwarspp.preset.Position">
<!--   -->
</a>
<h3>Class <a href="towerwarspp/preset/Position.html" title="class in towerwarspp.preset">towerwarspp.preset.Position</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>letter</h4>
<pre>int letter</pre>
</li>
<li class="blockListLast">
<h4>number</h4>
<pre>int number</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="towerwarspp.preset.PositionFormatException">
<!--   -->
</a>
<h3>Class <a href="towerwarspp/preset/PositionFormatException.html" title="class in towerwarspp.preset">towerwarspp.preset.PositionFormatException</a> extends java.lang.IllegalArgumentException implements Serializable</h3>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
